Page MenuHomePhabricator

Find in Page field not large enough when no results found
Closed, ResolvedPublic

Description

On the screenshot below, I typed "San Francisco" in the search field and no results are found.
I can't see entirely what I typed because of the string "Aucune correspondance". If I made a mistake when typing I can't see it!

With the device in english the string is "0 matches" which is shorter.
But maybe we can put a string like "0/0" or "0 of 0". Some apps are doing like this, Google Chrome iOS as an example:

Event Timeline

julbod created this task.Mar 23 2017, 11:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2017, 11:11 PM
JMinor triaged this task as Low priority.Apr 10 2017, 6:42 PM
JMinor moved this task from Needs Triage to Product Backlog on the Wikipedia-iOS-App-Backlog board.
JMinor added a subscriber: JMinor.

Yes, the placeholder text should dissappear or be shortened to use numerical count. Can't imagine what this looks like in German...

julbod claimed this task.Apr 13 2017, 2:50 AM
Mhurd added a comment.May 2 2017, 11:13 PM

Testing criteria:

  • Switch device language to French
  • Do clean install of app
  • Load any French article
  • Tap the search icon at the bottom of the article
  • Enter a search term which won't produce any results
  • Ensure you see "0 / 0" on the right of the search box (see image below)

cmadeo added a subscriber: cmadeo.

@Mhurd I'm currently still seeing the full placeholder text on 5.4.2 (1132) with a fresh install in French

Mhurd added a comment.May 7 2017, 10:21 PM

@cmadeo hmm it's merged... let's see if it goes out with next build

@Mhurd unfortunately whenever I try to do the repro steps the app is crashing :(

Here's the ticket for the crash.

ABorbaWMF added a subscriber: ABorbaWMF.

Tested an iPhone 5s with iOS 10.2 on Beta App 5.5.0 (1140)

Tres bien.

JMinor closed this task as Resolved.May 23 2017, 8:55 PM